package com.elab.es.client.annotation;

import com.elab.es.client.configuration.ESConfiguration;
import com.elab.es.client.spring.ElasticSearchScannerRegister;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 开启ES功能
 *
 * @author liukx
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import({ESConfiguration.class, ElasticSearchScannerRegister.class})
public @interface EnableElastaticSearch {
    /**
     * 特定的包扫描
     *
     * @return
     */
    String[] basePackages() default {};

    String[] value() default {};

    String[] entityPath() default {};

    boolean printregmsg() default false;

    /**
     * 特定的ES解析SQL处理
     *
     * @return
     */
    String configurableLocations() default "es";

    Class<?>[] basePackageClasses() default {};
}
